<template>
    <v-container  fluid>
        <v-card
        max-width="700"
        class="mx-auto mt-6">
            
            <v-img height="200" max-width="700" src="https://cdn.pixabay.com/photo/2015/12/01/15/43/black-1072366_960_720.jpg">
                <v-row class="fill-height">
                <v-card-title>
                    <div class="text-h4 pl-12">
                        Telliez Alexis
                    </div>
                </v-card-title>
                <v-card-subtitle>
                    <div class="grey--text text-h5 pl-12 pt-2">
                        Étudiant en Master Web et Science de données
                    </div>
                </v-card-subtitle>
                </v-row>
            </v-img>

            <v-list 
                v-for="(info, i) in infos" 
                :key="i"
                two-line>
                <v-list-item>
                    <v-list-item-icon>
                    <v-icon color="primary">
                        {{ info.icon }}
                    </v-icon>
                    </v-list-item-icon>

                    <v-list-item-content>
                    <v-list-item-title> {{ info.title }} </v-list-item-title>
                    <v-list-item-subtitle> {{ info.subtitle }} </v-list-item-subtitle>
                    </v-list-item-content>
                </v-list-item>
                <v-divider v-if="!info.hidden" inset></v-divider>
            </v-list>
        </v-card>
        <v-row dense>
            <div class="mx-auto mt-6">
                <v-btn 
                to="/"
                 
                rounded
                color="primary"
                > <v-icon class="mr-2">mdi-home</v-icon> accueil</v-btn >
            </div>
        </v-row>
        
        
  </v-container>
</template>


<script>


export default {
data() {
    return {
        infos: [
            {
                icon: 'mdi-phone',
                title: '06 65 42 65 47',
                subtitle: 'Portable',
                hidden: false
            },
            {
                icon: 'mdi-email',
                title: 'alexis.telliez62@gmail.com',
                subtitle: 'Email',
                hidden: false
            },
            {
                icon: 'mdi-map-marker',
                title: '49 la wambringue',
                subtitle: 'Audembert, 62250',
                hidden: true
            }
        ],
        valid: true,
        name: '',
        nameRules: [
            v => !!v || 'Le nom est requis !',
            v => (v && v.length <= 30) || 'Le nom doit faire moins de 30 caractères',
        ],
        subject: '',
        subjectRules: [
            v => !!v || 'Le sujet est requis !',
        ],
        email: '',
        emailRules: [
            v => !!v || 'L\'adresse mail est requise !',
            v => /.+@.+\..+/.test(v) || 'L\'adresse mail doit être valide !',
        ],
        content: '',
        contentRules: [
            v => !!v || 'Le message est requis'
        ]
        }
    },
    methods: {
        validate () {
            this.$refs.form.validate()
            this.sendEmail()
        },
    },
}
</script>